> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/v2.1/internal-service-endpoints/statements/get-statements-by-portfolio.md).

# Get Statements By Portfolio

Retrieve a collection of statements by organization and portfolio.

```json
{"openapi":"3.1.0","info":{"title":"Internal Service Endpoints","version":"2.13.3"},"tags":[{"name":"Statements"}],"servers":[{"description":"Sandbox environment, for testing purposes.","url":"https://sandbox.bloom.dev"}],"paths":{"/v2/furnishment/statements/credit-product/{portfolio_id}":{"get":{"tags":["Statements"],"summary":"Get Statements By Portfolio","description":"Retrieve a collection of statements by organization and portfolio.","operationId":"get_statements_by_portfolio_api_v1_statements_credit_product__portfolio_id__get","parameters":[{"required":true,"schema":{"type":"string","format":"uuid","title":"Portfolio Id"},"name":"portfolio_id","in":"path"},{"required":false,"schema":{"type":"string","format":"uuid","title":"Account-Id"},"name":"account-id","in":"query"},{"required":false,"schema":{"type":"string","title":"External-Account-Identifier"},"name":"external-account-identifier","in":"query"},{"required":false,"schema":{"type":"string","format":"date","title":"Start-Date"},"name":"start-date","in":"query"},{"required":false,"schema":{"type":"string","format":"date","title":"End-Date"},"name":"end-date","in":"query"},{"required":false,"schema":{"type":"integer","title":"Page","default":1},"name":"page","in":"query"},{"required":false,"schema":{"type":"integer","title":"Limit","default":100},"name":"limit","in":"query"},{"required":false,"schema":{"type":"string","title":"X-Partner"},"name":"x-partner","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response_StatementsPaginated_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Response_StatementsPaginated_":{"properties":{"data":{"$ref":"#/components/schemas/ResponseData_StatementsPaginated_"},"included":{"items":{},"type":"array","title":"Included"},"meta":{"type":"object","title":"Meta"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"type":"object","title":"Links"}},"type":"object","required":["data"],"title":"Response[StatementsPaginated]","description":"    "},"ResponseData_StatementsPaginated_":{"properties":{"id":{"type":"string","title":"Id"},"type":{"type":"string","enum":["StatementsPaginated"],"title":"Type"},"attributes":{"allOf":[{"$ref":"#/components/schemas/StatementResponsePaginated"}],"title":"Attributes","default":{}},"relationships":{"additionalProperties":{"$ref":"#/components/schemas/ResponseRelationshipModel"},"type":"object","title":"Relationships"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"type":"object","title":"Links"}},"type":"object","required":["id","type"],"title":"ResponseData[StatementsPaginated]","description":"    "},"StatementResponsePaginated":{"properties":{"id":{"title":"Id"},"page":{"type":"integer","title":"Page"},"total":{"type":"integer","title":"Total"},"data":{"items":{"$ref":"#/components/schemas/StatementResponse"},"type":"array","title":"Data"}},"type":"object","required":["page","total","data"],"title":"StatementResponsePaginated","description":"A base model that represents a fully-detokenized, transformed and ready-to-deliver\nrepresentation of an entity. Comes with a Config that is compatible with all of our\nresponses"},"StatementResponse":{"properties":{"account_id":{"type":"string","format":"uuid","title":"Account Id"},"statement_date":{"type":"string","format":"date","title":"Statement Date"},"current_balance":{"type":"number","minimum":0,"title":"Current Balance"},"days_delinquent":{"type":"integer","title":"Days Delinquent","default":0},"credit_limit":{"type":"number","minimum":0,"title":"Credit Limit"},"scheduled_monthly_payment":{"type":"number","minimum":0,"title":"Scheduled Monthly Payment"},"actual_monthly_payment":{"type":"number","minimum":0,"title":"Actual Monthly Payment"},"amount_past_due":{"type":"number","minimum":0,"title":"Amount Past Due"},"last_payment_date":{"type":"string","format":"date","title":"Last Payment Date"},"highest_balance":{"type":"number","minimum":0,"title":"Highest Balance","default":0},"statement_identifier":{"type":"string","title":"Statement Identifier"},"credit_product_id":{"type":"string","format":"uuid","title":"Credit Product Id"},"charge_off":{"$ref":"#/components/schemas/ChargeOff"},"collateral":{"$ref":"#/components/schemas/Collateral"},"collections":{"$ref":"#/components/schemas/Collections"},"lien":{"$ref":"#/components/schemas/Lien"},"forbearance":{"$ref":"#/components/schemas/Forbearance"},"foreclosure":{"$ref":"#/components/schemas/Foreclosure"},"positions":{"$ref":"#/components/schemas/app__schemas__v1__account__account_position__response__AccountPosition"},"payment_default":{"$ref":"#/components/schemas/PaymentDefaultEvent"},"deleted":{"$ref":"#/components/schemas/AccountDeleteEvent"},"secondary_consumer_events":{"items":{"$ref":"#/components/schemas/SecondaryConsumerEvent"},"type":"array","title":"Secondary Consumer Events","default":[]},"transfer":{"$ref":"#/components/schemas/Transfer"},"bankruptcy":{"$ref":"#/components/schemas/BankruptcyEvent"},"id":{"type":"string","format":"uuid","title":"Id"}},"type":"object","required":["account_id","statement_date","current_balance","credit_limit","scheduled_monthly_payment","actual_monthly_payment","amount_past_due","statement_identifier","id"],"title":"StatementResponse","description":"A detokenized statement record, containing point-in-time account information, and\npayments collected during the statement period"},"ChargeOff":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"status":{"$ref":"#/components/schemas/ChargeOffStatus"},"amount":{"type":"number","minimum":0,"title":"Amount"},"special_comment_code":{"$ref":"#/components/schemas/ChargeOffSpecialCommentCode"}},"type":"object","title":"ChargeOff"},"ChargeOffStatus":{"type":"string","enum":["CHARGE_OFF","PAID_IN_FULL_CHARGE_OFF","UNPAID_BALANCE_REPORTED_AS_LOSS"],"title":"ChargeOffStatus","description":"An enumeration."},"ChargeOffSpecialCommentCode":{"type":"string","enum":["CHARGE_OFF","ACCOUNT_PAID_FULL_LESS_THAN_FULL_BALANCE","CREDIT_LINE_SUSPENDED"],"title":"ChargeOffSpecialCommentCode","description":"An enumeration."},"Collateral":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"status":{"$ref":"#/components/schemas/CollateralStatus"},"special_comment_code":{"$ref":"#/components/schemas/CollateralSpecialCommentCode"},"amount":{"type":"number","minimum":0,"title":"Amount"}},"type":"object","title":"Collateral"},"CollateralStatus":{"type":"string","enum":["VOLUNTARY_SURRENDERED","DEED_RECEIVED_IN_LIEU_OF_FORECLOSURE_ON_DEFAULTED_MORTGAGE","REPOSSESSION","COLLATERAL_DEPRECIATION","COLLATERAL_RELEASED","SHORT_SALE","LOAN"],"title":"CollateralStatus","description":"An enumeration."},"CollateralSpecialCommentCode":{"type":"string","enum":["VOLUNTARY_SURRENDERED","ACCOUNT_PAID_FULL_LESS_THAN_FULL_BALANCE","CREDIT_LINE_SUSPENDED","CREDIT_LINE_REDUCED_DUE_TO_COLLATERAL_DEPRECIATION","CREDIT_LINE_SUSPENDED_DUE_TO_COLLATERAL_DEPRECIATION","COLLATERAL_RELEASED_BY_CREDITOR","VOLUNTARY_SURRENDERED_REDEEMED_REINSTATED","REPOSSESSION_REDEEMED_REINSTATED"],"title":"CollateralSpecialCommentCode","description":"An enumeration."},"Collections":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"status":{"$ref":"#/components/schemas/CollectionsStatus"},"amount":{"type":"number","minimum":0,"title":"Amount"},"special_comment_code":{"$ref":"#/components/schemas/CollectionsSpecialCommentCode"}},"type":"object","title":"Collections"},"CollectionsStatus":{"type":"string","enum":["PAID_IN_FULL_COLLECTION_ACCOUNT"],"title":"CollectionsStatus","description":"An enumeration."},"CollectionsSpecialCommentCode":{"type":"string","enum":["COLLECTIONS","ACCOUNT_PAID_FULL_LESS_THAN_FULL_BALANCE","CREDIT_LINE_SUSPENDED"],"title":"CollectionsSpecialCommentCode","description":"An enumeration."},"Lien":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"status":{"$ref":"#/components/schemas/LienStatus"},"amount":{"type":"number","minimum":0,"title":"Amount"},"special_comment_code":{"$ref":"#/components/schemas/LienSpecialCommentCode"}},"type":"object","title":"Lien"},"LienStatus":{"type":"string","enum":["CLAIM_FILED_WITH_GOVT_FOR_INSURED_PORTION_ON_DEFAULTED_LOAN"],"title":"LienStatus","description":"An enumeration."},"LienSpecialCommentCode":{"type":"string","enum":["GOVERNMENT_CLAIM_FILED","CREDIT_LINE_SUSPENDED"],"title":"LienSpecialCommentCode","description":"An enumeration."},"Forbearance":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"status":{"$ref":"#/components/schemas/ForbearanceStatus"},"amount":{"type":"number","minimum":0,"title":"Amount"},"special_comment_code":{"$ref":"#/components/schemas/ForbearanceSpecialCommentCode"}},"type":"object","title":"Forbearance"},"ForbearanceStatus":{"type":"string","enum":["FORBEARANCE"],"title":"ForbearanceStatus","description":"An enumeration."},"ForbearanceSpecialCommentCode":{"type":"string","enum":["ACCOUNT_IN_FORBEARANCE"],"title":"ForbearanceSpecialCommentCode","description":"An enumeration."},"Foreclosure":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"status":{"$ref":"#/components/schemas/ForeclosureStatus"},"effective_date":{"type":"string","format":"date-time","title":"Effective Date"},"reversed":{"type":"boolean","title":"Reversed"},"reversed_on":{"type":"string","format":"date-time","title":"Reversed On"}},"type":"object","title":"Foreclosure"},"ForeclosureStatus":{"enum":["FORECLOSURE_STARTED","FORECLOSURE_COMPLETED"],"title":"ForeclosureStatus","description":"An enumeration."},"app__schemas__v1__account__account_position__response__AccountPosition":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"status":{"$ref":"#/components/schemas/app__schemas__v1__account__account_position__enums__AccountPosition"},"initiator":{"$ref":"#/components/schemas/AccountClosedInitiator"},"initiator_reversed":{"type":"boolean","title":"Initiator Reversed"},"initiator_reversed_on":{"type":"string","format":"date-time","title":"Initiator Reversed On"},"special_comment_code":{"$ref":"#/components/schemas/SpecialCommentCode"}},"type":"object","title":"AccountPosition"},"app__schemas__v1__account__account_position__enums__AccountPosition":{"enum":["ACCOUNT_CLOSED","CREDIT_LINE_SUSPENDED"],"title":"AccountPosition","description":"Account Position events that represent position changes on an account\""},"AccountClosedInitiator":{"enum":["CREDITOR","CONSUMER"],"title":"AccountClosedInitiator","description":"An enumeration."},"SpecialCommentCode":{"enum":["ACCOUNT_CLOSED_AT_CREDIT_GRANTORS_REQUEST","VOLUNTARY_SURRENDERED","ACCOUNT_CLOSED_DUE_TO_REFINANCE","ACCOUNT_CLOSED_DUE_TO_TRANSFER","REDEEMED_OR_REINSTATED_REPOSSESSION","CREDIT_CARD_LOST_OR_STOLEN","ACCOUNT_CLOSED_DUE_TO_INACTIVITY","CREDIT_LINE_NO_LONGER_AVAILABLE","ACCOUNT_PAID_FULL_LESS_THAN_FULL_BALANCE"],"title":"SpecialCommentCode","description":"An enumeration."},"PaymentDefaultEvent":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"status":{"$ref":"#/components/schemas/PaymentDefaultStatus"},"special_comment_code":{"$ref":"#/components/schemas/PaymentDefaultSpecialCommentCode"}},"type":"object","title":"PaymentDefaultEvent"},"PaymentDefaultStatus":{"type":"string","enum":["FIRST_PAYMENT_NEVER_RECEIVED"],"title":"PaymentDefaultStatus","description":"Status to perform the reverse operation"},"PaymentDefaultSpecialCommentCode":{"type":"string","enum":["FIRST_PAYMENT_NEVER_RECEIVED"],"title":"PaymentDefaultSpecialCommentCode","description":"Enum to make reference to the metro2 furnishment.\nThe value must match with a Statement.SpecialComment enum name"},"AccountDeleteEvent":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"status":{"$ref":"#/components/schemas/AccountDeletionReason"},"deleted_notes":{"type":"string","title":"Deleted Notes"},"external_delete_date":{"type":"string","format":"date","title":"External Delete Date"}},"type":"object","title":"AccountDeleteEvent"},"AccountDeletionReason":{"enum":["CONFIRMED_FRAUD","OTHER_REASON_NOT_FRAUD"],"title":"AccountDeletionReason","description":"An enumeration."},"SecondaryConsumerEvent":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"organization_id":{"type":"string","format":"uuid","title":"Organization Id"},"account_id":{"type":"string","format":"uuid","title":"Account Id"},"status":{"$ref":"#/components/schemas/SecondaryStatus"},"effective_date":{"type":"string","format":"date-time","title":"Effective Date"},"removal_type":{"$ref":"#/components/schemas/SecondaryRemovalType"},"reversed":{"type":"boolean","title":"Reversed"},"reversed_on":{"type":"string","format":"date-time","title":"Reversed On"}},"type":"object","required":["id","organization_id","account_id"],"title":"SecondaryConsumerEvent"},"SecondaryStatus":{"enum":["ADD_SECONDARY_CONSUMER","REMOVE_SECONDARY_CONSUMER"],"title":"SecondaryStatus","description":"An enumeration."},"SecondaryRemovalType":{"enum":["TERMINATED","DELETE_CONSUMER"],"title":"SecondaryRemovalType","description":"An enumeration."},"Transfer":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"buyer_name":{"type":"string","title":"Buyer Name"},"status":{"$ref":"#/components/schemas/TransferStatus"},"transfer_type":{"$ref":"#/components/schemas/TransferType"},"effective_date":{"type":"string","format":"date-time","title":"Effective Date"},"reversed":{"type":"boolean","title":"Reversed"},"reversed_on":{"type":"string","format":"date-time","title":"Reversed On"}},"type":"object","title":"Transfer"},"TransferStatus":{"type":"string","enum":["TRANSFER","REMOVE_TRANSFER"],"title":"TransferStatus","description":"An enumeration."},"TransferType":{"type":"string","enum":["SELL","BUY"],"title":"TransferType","description":"An enumeration."},"BankruptcyEvent":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"reverse":{"type":"boolean","title":"Reverse"},"reversed_on":{"type":"string","format":"date","title":"Reversed On"},"effective_date":{"type":"string","format":"date","title":"Effective Date"},"created_at":{"type":"string","format":"date","title":"Created At"},"consumer_id":{"type":"string","format":"uuid","title":"Consumer Id"},"status":{"$ref":"#/components/schemas/BankruptcyStatus"},"chapter":{"$ref":"#/components/schemas/BankruptcyChapter"},"partially_reaffirmed":{"type":"boolean","title":"Partially Reaffirmed"}},"type":"object","title":"BankruptcyEvent"},"BankruptcyStatus":{"type":"string","enum":["FILED","REMOVAL","DISCHARGED","REAFFIRMED","RESCINDED","CONFIRMED"],"title":"BankruptcyStatus","description":"An enumeration."},"BankruptcyChapter":{"type":"string","enum":["CHAPTER_7","CHAPTER_11","CHAPTER_12","CHAPTER_13"],"title":"BankruptcyChapter","description":"An enumeration."},"ResponseRelationshipModel":{"properties":{"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"type":"object","title":"Links"},"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifier"},{"items":{"$ref":"#/components/schemas/ResourceIdentifier"},"type":"array"}],"title":"Data"},"meta":{"type":"object","title":"Meta"}},"type":"object","title":"ResponseRelationshipModel"},"LinkHref":{"properties":{"href":{"type":"string","title":"Href"},"meta":{"type":"object","title":"Meta"}},"type":"object","required":["href","meta"],"title":"LinkHref"},"ResourceIdentifier":{"properties":{"id":{"type":"string","title":"Id"},"type":{"type":"string","title":"Type"},"meta":{"type":"object","title":"Meta"}},"type":"object","required":["id","type"],"title":"ResourceIdentifier","description":"https://jsonapi.org/format/#document-resource-identifier-objects"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/v2.1/internal-service-endpoints/statements/get-statements-by-portfolio.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
